Package com.enonic.xp.form

## Class Form

- java.lang.Object
- - com.enonic.xp.form.Form

- All Implemented Interfaces:
    `Iterable<FormItem>`

      @PublicApi
      public final class Form
      extends Object
      implements Iterable<FormItem>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Form.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFormItem​(FormItem formItem)` | Deprecated.
    `Form` | `copy()` |
    `static Form.Builder` | `create()` |
    `static Form.Builder` | `create​(Form form)` |
    `boolean` | `equals​(Object o)` |
    `FormItem` | `getFormItem​(FormItemPath path)` |
    `FormItem` | `getFormItem​(String path)` |
    `FormItems` | `getFormItems()` |
    `FormItemSet` | `getFormItemSet​(FormItemPath path)` |
    `FormItemSet` | `getFormItemSet​(String path)` |
    `InlineMixin` | `getInlineMixin​(FormItemPath formItemPath)` |
    `InlineMixin` | `getInlineMixin​(String path)` |
    `Input` | `getInput​(FormItemPath path)` |
    `Input` | `getInput​(FormItemPath path, boolean skipLayout)` |
    `Input` | `getInput​(String path)` |
    `FormOptionSet` | `getOptionSet​(String path)` |
    `FormOptionSetOption` | `getOptionSetOption​(String path)` |
    `int` | `hashCode()` |
    `Iterator<FormItem>` | `iterator()` |
    `int` | `size()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### addFormItem

          @Deprecated
          public void addFormItem​(FormItem formItem)

      Deprecated.

    - #### getFormItem

          public FormItem getFormItem​(String path)

    - #### getFormItem

          public FormItem getFormItem​(FormItemPath path)

    - #### getFormItemSet

          public FormItemSet getFormItemSet​(String path)

    - #### getFormItemSet

          public FormItemSet getFormItemSet​(FormItemPath path)

    - #### getInput

          public Input getInput​(String path)

    - #### getInput

          public Input getInput​(FormItemPath path)

    - #### getInput

          public Input getInput​(FormItemPath path,
                                boolean skipLayout)

    - #### getInlineMixin

          public InlineMixin getInlineMixin​(String path)

    - #### getInlineMixin

          public InlineMixin getInlineMixin​(FormItemPath formItemPath)

    - #### getOptionSet

          public FormOptionSet getOptionSet​(String path)

    - #### getOptionSetOption

          public FormOptionSetOption getOptionSetOption​(String path)

    - #### getFormItems

          public FormItems getFormItems()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### copy

          public Form copy()

    - #### create

          public static Form.Builder create()

    - #### create

          public static Form.Builder create​(Form form)

    - #### iterator

          public Iterator<FormItem> iterator()

      Specified by:
        `iterator` in interface `Iterable<FormItem>`

    - #### size

          public int size()